## dpkg-cross 0.1

=== Makefile ===

SCRIPTS = dpkg-cross dpkg-buildpackage dpkg-shlibdeps
MAN1 = dpkg-cross.1
MAN5 = cross-compile.5
DESTDIR = /

all: $(SCRIPTS)

clean:
	rm -f $(SCRIPTS)

install:
	install -m755 -o root -g root $(SCRIPTS) $(DESTDIR)/usr/bin
	install -m644 -o root -g root $(MAN1) $(DESTDIR)/usr/man/man1
	install -m644 -o root -g root $(MAN5) $(DESTDIR)/usr/man/man5

%: %.in
	sed -f conf.sed < $^ > $@

=== debian/changelog ===
dpkg-cross (0.1) unstable; urgency=low

  * Initial Release.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Sun, 9 Feb 1997 00:52:50 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dpkg-cross
Section: util
Priority: extra
Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
Standards-Version: 2.1.2.2

Package: dpkg-cross
Architecture: all
Depends: dpkg-dev, perl
Description: Tools for cross compiling Debian packages
 dpkg-cross itself is a tool for installing libraries and headers for
 cross compiling in a way similar to dpkg. Furthermore, the
 functionality of dpkg-buildpackage and dpkg-shlibdeps is enhanced to
 support cross compiling.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
 # my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=dpkg-cross

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp;install -d `cat ../dirs`
	make install DESTDIR=debian/tmp
	install -m644 -o root -g root cross-compile.example \
		debian/tmp/etc/dpkg/cross-compile
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## dpkg-cross 1.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
-SCRIPTS = dpkg-cross dpkg-buildpackage dpkg-shlibdeps
-MAN1 = dpkg-cross.1
+SCRIPTS = dpkg-cross dpkg-buildpackage dpkg-shlibdeps dpkg-cross-convert
+MAN1 = dpkg-cross.1 dpkg-cross-convert.1
 MAN5 = cross-compile.5
 DESTDIR = /

=== debian/changelog ===
dpkg-cross (1.1) unstable; urgency=low

  * Remove #!/bin/sh from /etc/dpkg/cross-config.*, since Lintian
    complained about it.
  * Switch from debstd to debhelper.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 11 Mar 1998 15:32:06 +0100

dpkg-cross (1.0) unstable; urgency=low

  * Major reorganization of package installation (dpkg-cross), based on
    great idea by Joey Hess. (Fixes: #15725) dpkg-cross doesn't implement
    its own package management anymore, but uses dpkg for this. Therefore
    it converts to-be-installed packaged to *-arch-cross packages by
    moving files around and rewriting control infos.
  * New tool dpkg-cross-convert to convert old-style installations to new
    dpkg-based ones.
  * Little rewrites to dpkg-shlibdeps due to new installation scheme (now
    uses dpkg --search instead of own function, new location of shlibs
    files)
  * New options -v and -q to dpkg-cross (verbose/quiet)
  * New actions --update and --query for dpkg-cross: They update all
    installed packages if updates are available, or list those updates,
    resp.
  * Standards-Version: updated to 2.4.0.0

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 22 Jan 1998 16:27:29 +0100

dpkg-cross (0.6) unstable; urgency=low

  * In the dpkg-buildpackage wrapper, put $crossbin first into $PATH, so
    that cross compiling binaries can take precedence over native ones.
    (fixes: Bug #15726)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 10 Dec 1997 11:37:57 +0100

dpkg-cross (0.5) unstable; urgency=low

  * Make maintainer=CURRENTUSER work (the change for it was lost somehow)
    (fixes: Bug#15715)
  * Check for no options at all to dpkg-cross (fixes: Bug#15712)
  * Do not remove kernel headers (include/{linux,asm,scsi}) if those dirs
    are symlinks, i.e. if the user has removed the files coming with
    libc-dev and replaced them by symlinks into a current source.
    (Otherwise dpkg-cross would remove the files in the kernel source!)
  * Reject libc5 compability packages (cannot be handled (yet) by
    dpkg-cross).
  * Ignore the /usr/include/X11 symlink (provokes a tar error if xlib*-dev
    already installed).
  * Fix some typos and minor mistakes.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 9 Dec 1997 15:52:37 +0100

dpkg-cross (0.4) unstable; urgency=low

  * Fixed bug in dpkg-cross that made it blind for packages with a '.' in
    their name...
  * dpkg-cross -h now the same as dpkg-cross --help.
  * New option -l/--list to dpkg-cross, with similar functionality to dpkg
    -l (short listing of packages installed matching a pattern)
  * dpkg-cross option --list renamed to --listfiles for consistency with
    dpkg

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 3 Nov 1997 15:22:34 +0100

dpkg-cross (0.3) unstable; urgency=low

  * On dpkg-cross -i, also ignore tar messages like "error exit delayed".
  * Fix typo ($dpkg_errs instead $tar_errs) in dpkg-cross.in
  * In dpkg-shlibdeps, change objdump call and method how to find needed
    libraries; the objdump in binutils-2.8 doesn't have the -k option (raw
    section contents) anymore, so use --private-headers instead and look
    for ELF NEEDED entries in the dynamic section. Also changed
    debian/README to reflect this change.
  * Add special handling for -m option (see README), to work around a bug
    in dpkg-buildpackage 1.4.0.17

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 19 Jun 1997 11:38:03 +0200

dpkg-cross (0.2) unstable; urgency=low

  * Fixes for packages using imake:
  * IMAKECPP is defined in the environment to $(ARCH)-linux-cpp, to pass
    correct architecture (via standard defines) to the imake templates.
  * USRLIBDIR is defined to $(CROSSLIB), otherwise libraries are not
    found or dependencies to them are wrong.
  * MANPATH is explicitly removed from the environment, because the same
    name is used in imake-generated Makefiles, and since we use make -e,
    the user's setting would override the standard definition, causing
    havoc when installing man pages :-)
  * Fixes for packages using GNU autoconf:
  * CONFIG_SITE is set to /etc/dpkg/cross-config.linux, which in turn
    includes an target-arch specific file. There, several values for
    configure are defined that cannot be determined in an cross compiling
    environment.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 16 Apr 1997 16:02:45 +0200

## dpkg-cross 1.2

=== debian/changelog ===
dpkg-cross (1.2) unstable; urgency=low

  * Also omit cpp in dependencies of cross packages.
  * New variable default_arch in /etc/dpkg/cross-compile. This can be used
    to avoid the -a option to dpkg-cross, if there is only one or one
    mainly used cross installation.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 14 Oct 1998 16:52:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: util
 Priority: extra
 Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
-Standards-Version: 2.1.2.2
+Standards-Version: 2.4.0.0
 
 Package: dpkg-cross
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 # This file may have to be extensively modified
 #
 # Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
+
+#export DH_VERBOSE=1
 
 package=dpkg-cross
 
@@ -30,18 +32,25 @@
 # made here.
 
 binary-arch:	checkroot build
-	$(checkdir)
-	-rm -rf debian/tmp
-	install -d debian/tmp
-	cd debian/tmp;install -d `cat ../dirs`
+	dh_testdir dpkg-cross.in
+	dh_testroot
+	dh_clean
+	dh_installdirs usr/bin usr/man/man1 usr/man/man5 etc/dpkg
 	make install DESTDIR=debian/tmp
 	install -m644 -o root -g root cross-compile.example \
 		debian/tmp/etc/dpkg/cross-compile
-	debstd 
-	dpkg-gencontrol
-	chown -R root.root debian/tmp
-	chmod -R go=rX debian/tmp
-	dpkg --build debian/tmp ..
+	install -m644 -o root -g root cross-config.* debian/tmp/etc/dpkg
+	dh_installdocs
+	dh_installmanpages
+	dh_installchangelogs
+	dh_strip
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
 
 define checkdir
 	test -f debian/rules

## dpkg-cross 1.10

=== debian/changelog ===
dpkg-cross (1.10) unstable; urgency=low

  * dpkg-shlibdeps: Fix thinko with new elf-format checking code (regexp
    for format overwrote $2).

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 26 Oct 1999 16:25:47 +0200

dpkg-cross (1.9) unstable; urgency=low

  * dpkg-shlibdeps: Don't check for elf32-$arch in objdump output, but
    also allow elf64. (Closes: #48270)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 25 Oct 1999 13:56:34 +0200

dpkg-cross (1.8) unstable; urgency=low

  * dpkg-buildpackage: Another retval change...: If dpkg-buildpackage
    caught a signal, return signal value + 128.
  * dpkg-cross: when extracting dirs, from the input .deb's data.tar.gz,
    also use names starting with "./" (newer tar versions name files like
    this.) Closes: #48006
  * dpkg-buildpackage wrapper: now supports signing-related options like
    current dpkg-buildpackage (-spgp, -sgpg, -k, -m). I.e., it also uses
    gpg if dpkg-buildpackage would.
  * FHS transition (Standards-Version 3.0.1)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 22 Oct 1999 14:17:32 +0200

dpkg-cross (1.7) unstable; urgency=low

  * cross-config.mips: new file contributed by Ulf Carlsson
    <ulfc@thepuffingroup.com>.
  * cross-config.linux: some additions also by Ulf.
  * dpkg-buildpackage: Hope preserving the exit status now really works
    and really closes: #41259
  
 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 25 Aug 1999 10:04:33 +0200

dpkg-cross (1.6) unstable; urgency=low

  * New method for passing cross variables to Makefiles. They're not put
    into the environment anymore and MAKEFLAGS=-e is used to make read
    them. Instead, the variable definitions are appended to MAKEFLAGS
    itself. (The same mechanism is used my make to pass command line
    overrides to sub-makes.)
    The advantage is that MAKEFLAGS and thus the definitions are still
    under the control of make. The definitions can be changed if a
    Makefile calls make with more/different definitions on the command
    line. Also, there are no side effects anymore by other environment
    variables not under the control of dpkg-cross (e.g. the MANPATH
    problem, a CFLAGS exported by top-level Makefile overriding CFLAGS in
    sub-Makefiles).
  * cross-config.gnu: new file for GNU/Hurd OS.
  * cross-config.common: new file for stuff common to Linux and Hurd.
  * cross-config.common: now sets $host to avoid that configure runs
    config.guess, which fails if $CC is a cross compiler.
  * cross-config.{i386,m68k}: some more sizeof definitions.
  * cross-config.*, cross-compile.example: Add notice that personal
    additions should be mailed to me so that I can include them in future
    releases.
  * dpkg-cross: when building a cross package, don't omit symlinks that
    point to a directory.
  * dpkg-buildpackage: The wrapper now preserves the exit status of the
    original dpkg-buildpackage. Closes: #41259
  
 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 10 Aug 1999 13:43:47 +0200

dpkg-cross (1.5) unstable; urgency=low

  * dpkg-buildpackage: Don't Read debian/changelog if only option is -h.
    closes: #37369.
  * Changed perl dependency to perl5|perl.
  * The dpkg-buildpackage now also sets the new environment variables
    DEB_HOST_{ARCH,GNU_CPU,GNU_OS,GNU_TYPE}.
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Updated Standards-Version to 3.0.0.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 5 Jul 1999 13:21:47 +0200

dpkg-cross (1.4) unstable; urgency=low

  * dpkg-shlibdeps: Fix error message when lib not found (was wrong path
    if $CROSSROOT set.) (Fixes: #36679)
  * dpkg-buildpackage: Call original dpkg-buildpackage via shell command
    "." instead of "source", because ash doesn't understand the latter.
    (Fixes: #36887)
  * dpkg-cross: When installing (or just converting) packages, have a
    special look at libc.so, which is no real lib but a linker script. It
    contains absolute paths, which need to be rewritten.
  * Updated Standards-Version to 2.5.0.0 (no changes).

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 29 Apr 1999 14:21:01 +0200

dpkg-cross (1.3) unstable; urgency=low

  * Some changes to make dpkg-cross work for Hurd: There, cross compiling
    is usually done with a Hurd installation on the same disk (in another
    partition).
     * New config variable set -$(ARCH)= sets path of cross
       installation for a specific architecture.
     * In dpkg-shlibdeps, strip $crossroot (if set) from lib names, and
       look in the cross installation under $crossroot for files
       (shlibs.default, *.shlibs files, etc.)
     * In dpkg-buildpackage, set binutils env vars (LD, AR, ...) only if
       target CPU is different.
    Thanks to Santiago Vila <sanvila@unex.es> for ideas and help in
    testing this.
  * Added Suggests: binutils-multiarch, since those are available as a
    Debian package now and are needed for many applications of dpkg-cross.
  * Add CXX to list of environment variables to change.
  * In the Makefile added dependencies of all scripts on confinit and
    confsub.
  
 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 10 Nov 1998 17:40:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: util
 Priority: extra
 Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
-Standards-Version: 2.4.0.0
+Standards-Version: 3.0.1
 
 Package: dpkg-cross
 Architecture: all
-Depends: dpkg-dev, perl
+Depends: dpkg-dev, perl5 | perl
+Suggests: binutils-multiarch
 Description: Tools for cross compiling Debian packages
  dpkg-cross itself is a tool for installing libraries and headers for
  cross compiling in a way similar to dpkg. Furthermore, the

## dpkg-cross 1.13.1

=== Makefile ===

SCRIPTS = dpkg-cross dpkg-buildpackage dpkg-shlibdeps dpkg-cross-convert
MAN1 = dpkg-cross.1 dpkg-cross-convert.1
MAN5 = cross-compile.5
DESTDIR = /

all: $(SCRIPTS)

clean:
	rm -f $(SCRIPTS)

install:
	install -m755 -o root -g root $(SCRIPTS) $(DESTDIR)/usr/bin
	install -m644 -o root -g root $(MAN1) $(DESTDIR)/usr/share/man/man1
	install -m644 -o root -g root $(MAN5) $(DESTDIR)/usr/share/man/man5

%: %.in
	sed -f conf.sed < $< > $@

$(SCRIPTS): confinit confsub

=== debian/changelog ===
dpkg-cross (1.13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make /etc/dpkg/cross-config.mips a conffile (closes: #132202).

 -- Colin Watson <cjwatson@debian.org>  Sat,  9 Feb 2002 13:21:31 +0000

dpkg-cross (1.13) unstable; urgency=low

  * Changed maintainer email address.
  * dpkg-cross.in: Set LC_ALL=C when calling tar, as we parse the error
    messages and expect them to be in English.

 -- Roman Hodek <roman@hodek.net>  Tue,  5 Sep 2000 17:31:00 +0200

dpkg-cross (1.12) unstable; urgency=low

  * dpkg-cross: Added debianutils to @omit_depends, so that current libc6
    can be converted and doesn't depend on a spurious
    debianutils-m68k-cross.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 2 Mar 2000 10:24:37 +0100

dpkg-cross (1.11) unstable; urgency=low

  * dpkg-shlibdeps: New option -c to use a different config file than
    /etc/dpkg/cross-compile. (Closes: #57937)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 14 Feb 2000 11:08:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dpkg-cross
 Section: util
 Priority: extra
-Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
+Maintainer: Roman Hodek <roman@hodek.net>
 Standards-Version: 3.0.1
 
 Package: dpkg-cross

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	dh_testdir dpkg-cross.in
 	dh_testroot
 	dh_clean
-	dh_installdirs usr/bin usr/man/man1 usr/man/man5 etc/dpkg
+	dh_installdirs usr/bin usr/share/man/man1 usr/share/man/man5 etc/dpkg
 	make install DESTDIR=debian/tmp
 	install -m644 -o root -g root cross-compile.example \
 		debian/tmp/etc/dpkg/cross-compile

## dpkg-cross 1.16

=== Makefile ===
#
#  Copyright (C) 1997-2000  Roman Hodek <roman@hodek.net>
#  Copyright (C) 2004  Raphael Bossek <bossekr@debian.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#  $Id: Makefile,v 1.8 2004/06/21 19:45:03 yoush-guest Exp $

SCRIPTS = dpkg-cross dpkg-buildpackage dpkg-shlibdeps dpkg-cross-convert dh_strip
CONFFILES = $(shell ls -1 cross-config.*)
MAN1 = dpkg-cross.1 dpkg-cross-convert.1
MAN5 = cross-compile.5
DESTDIR =
INSTALL = install

all: $(SCRIPTS) $(MAN1) $(MAN5)

%.1 %.5:	%.sgml
	docbook-to-man $^ > $@

install:
	$(INSTALL) -m755 -o root -g root -d $(DESTDIR)/etc/dpkg $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/man/man1 $(DESTDIR)/usr/share/man/man5 $(DESTDIR)/usr/lib/perl5
	$(INSTALL) -m644 -o root -g root cross-compile.example $(DESTDIR)/etc/dpkg/cross-compile
	$(INSTALL) -m644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/dpkg
	$(INSTALL) -m755 -o root -g root $(SCRIPTS) $(DESTDIR)/usr/bin
	$(INSTALL) -m644 -o root -g root  $(MAN1) $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -m644 -o root -g root $(MAN5) $(DESTDIR)/usr/share/man/man5
	$(INSTALL) -m544 -o root -g root dpkg-cross.pl $(DESTDIR)/usr/lib/perl5

clean:
	rm -f $(MAN1) $(MAN5)
	-find autoconf/. -not -name "configure.ac" \
			 -not -name "autogen.sh" \
			 -not -name "CVS" \
			 -not -name m4 \
			 -not -name Makefile.am \
			 -maxdepth 1 -exec rm -rf {} \; >/dev/null 2>&1

=== debian/changelog ===
dpkg-cross (1.16) unstable; urgency=low

  Changes done by Raphael Bossek <bossekr@debian.org> and Nikita Youshchenko
  <yoush@cs.msu.su>

  * Stop using sed templates for the scripts
    - dpkg-cross.in renamed to dpkg-cross
    - dpkg-buildpackage.in renamed to dpkg-buildpackage
    - dpkg-shlibdeps.in renamed to dpkg-shlibdeps
    - dpkg-cross-convert.in renamed to dpkg-shlibdeps
    - common functions moved to dpkg-cross.pl
    - confinit, conf.sed, confsub removed
    - Makefile adopted
  * Fix dpkg-shlibdeps to work correctly if several binaries use same
    shared libraries
  * Fix typo in dpkg-cross -A option parsing
  * Update debian/* using latest dephelper template
  * Update copyright information in several files
  * Read ~/.dpkg/cross-compile instead of /etc/dpkg/cross-compile if
    the first file exists
  * New manual documentation based on DocBook SGML with some fixes of the man
    pages.
  * Updated GNU AutoTools environment.
  * Search for pkg-config through PKG_CONFIG_PATH fixed.

 -- David Schleef <ds@schleef.org>  Thu, 24 Jun 2004 10:32:49 -0700

dpkg-cross (1.15) unstable; urgency=low

  Changes were all done by Nikita V. Youshchenko <yoush@cs.msu.su>.
  Version numbers and changelog entries correspond to the packages
  hosted at his site, which is now completely merged.

  * dpkg-cross.in: create /usr/share/doc/XXX directory in converted packages,
    and put a readme file there.
    - now each converted package always has an unique file, so situation
      described in #231511 is cleanly impossible. Closes: #231511.
  * dpkg-cross.in: accept -A|--convert-anyway option, that will make
    dpkg-cross to convert package even it does not provide any files useful for
    cross-compilation.
  * dpkg-cross.1: document -A option.
  * dpkg-shlibdeps.in: honour SHLIBSLOCALFILE and SUBSTVARSFILE environment
    variables as default locations for shlibs.local and substvars files. 

  1.14.7

  * dpkg-cross.in: rewrite dpkg-cross -b procedure, using different logic.
    Now it first completely unpacks source deb, and only then decides what
    files to move or modify.
    Now it should not loose asm/arch symlink when processing
    linux-kernel-headers.

  1.14.6

  * debian/rules: move commands from binary-arch to binary-indep (everything
    built is architecture-independent)
  * debian/rules: don't run dh_strip and dh_shlibdeps - both are useless for
    this package
  * Implemented enhanced addition variable setting control, after some
    discussion with EmDebian people. See cross-compile(5) for more
    information. Note that the new format of this file is completely
    backward-compatable.
    Example of usage for EmDebian added as a comment to the default
    /etc/dpkg/cross-compile file.
  * Removed zlib1g-arm-cross.deb that was forgotten in the build directory
    of 1.14.5 version.

  1.14.5

  * dpkg-shlibdeps.in: fix shlibs.local handling. Now it doesn't try to use
    dpkg --search to find a library from the package being built.
    Closes: #221646.
  * dpkg-cross.in: fail with appropriate message on attempt to convert
    already-converted package. 

  1.14.4

  * dpkg-buildpackage.in: set PATH in environment, not in MAKEFLAGS.
    Closes: #139182.
  * dpkg-buildpackage.in: when merging changes file, merge also Binary:
    and Description: fields, to handle the case when different sets of binary
    packages are built for different architectures. Closes: #221285.

  1.14.3

  * dpkg-cross.in: try to use fakeroot when building a package as user,
    issue a warning if fakeroot is not available. Closes: #221993.
  * debian/control: suggest fakeroot.
  * dpkg-buildpackage.in: don't ignore -uc. Closes: #217547.

  1.14.2

  * Fix dpkg-shlibdeps wrapper to handle shlibs with 'libxxx-vvv.so' sonames
    (needed e.g. for libdb4.2)

  1.14.1

  * Added /etc/dpkg/cross-compile options to handle non-library dependences
    better (Closes: #228616).
    Changed the patch a bit to remove complete dependency if one of
    alternatives is removed.
    Example: libssl depends on debconf | debconf-2.0; debconf is obviously not
    needed for cross-compile environment setup, so debconf is in removedeps,
    and other alternatives for the dependency will be discarded.
  * Detect .so files that are ldscripts, and fix paths there (Closes: #229241).
  * Supress error message from find when there are no pkgconfig files in the
    package.
  * Keep symlinks in pkgconfig directory
  * Don't print tons of junk when moving header files
  * Allow Architecture: all packages to be converted. There is a rationale to
    convert them sometimes (e.g. x-dev package that contains only headers)
  * Don't fail if resulting package contains headers only
    - dpkg-cross is now capable to process linux-kernel-headers
      (Closes: #230595, #222168)
  * Remove unused files and directories from source package. This makes
    package almost 10 times smaller :).
  * Really print error message if source file for dpkg-cross -b can't be
    opened.

 -- David Schleef <ds@schleef.org>  Fri, 11 Jun 2004 10:07:40 -0700

dpkg-cross (1.14) unstable; urgency=low

  * Taking over package.  Never got a response from Roman (Closes: #211013)
  * Add better arch handling (may fix #72405, #115247)

 -- David Schleef <ds@schleef.org>  Wed, 01 Oct 2003 13:58:19 -0700

dpkg-cross (1.13.2) unstable; urgency=low

  * Non-maintainer upload.
  * I'm intending to take over the package, as I haven't heard from
    the maintainer in over 6 weeks.
  * Add code to mangle pkgconfig files
  * debian/control: Add debhelper to build-depends
  * Add cross-config.${arch} files for a number of architectures
    (Closes: #127723)
  * Handle libtool .la files (Closes: #160687)
  * dpkg-cross.in: set umask, since 077 causes failures in dpkg-deb
    (Closes: #126321)
  * Change /usr/doc/ to /usr/share/doc (Closes: #79746)
  * dpkg-shlibdeps.in: Disabled arch check that fails on mips
    (Closes: #86808)



=== debian/control ===
Source: dpkg-cross
Section: utils
Priority: extra
Maintainer: David Schleef <ds@schleef.org>
Build-Depends: debhelper (>> 4), docbook-to-man
Standards-Version: 3.5.6

Package: dpkg-cross
Architecture: all
Depends: dpkg-dev (>= 1.9.21)
Suggests: binutils-multiarch, fakeroot
Conflicts: pkg-config (<< 0.15.0)
Description: Tools for cross compiling Debian packages
 dpkg-cross itself is a tool for installing libraries and headers for
 cross compiling in a way similar to dpkg. Furthermore, the
 functionality of dpkg-buildpackage and dpkg-shlibdeps is enhanced to
 support cross compiling.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/dpkg-cross

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## dpkg-cross 1.20

=== Makefile ===
--- 
+++ 
@@ -16,28 +16,30 @@
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
-#  $Id: Makefile,v 1.8 2004/06/21 19:45:03 yoush-guest Exp $
+#  $Id: Makefile,v 1.11 2004/10/29 20:41:55 yoush-guest Exp $
 
-SCRIPTS = dpkg-cross dpkg-buildpackage dpkg-shlibdeps dpkg-cross-convert dh_strip
-CONFFILES = $(shell ls -1 cross-config.*)
-MAN1 = dpkg-cross.1 dpkg-cross-convert.1
+SCRIPTS = dpkg-cross dpkg-buildpackage dpkg-shlibdeps gccross
+SHARESCRIPTS = strip
+CONFFILES = $(shell ls -1 cross-config.*) crosstools
+MAN1 = dpkg-cross.1 gccross.1
 MAN5 = cross-compile.5
 DESTDIR =
 INSTALL = install
 
-all: $(SCRIPTS) $(MAN1) $(MAN5)
+all: $(MAN1) $(MAN5)
 
 %.1 %.5:	%.sgml
 	docbook-to-man $^ > $@
 
 install:
-	$(INSTALL) -m755 -o root -g root -d $(DESTDIR)/etc/dpkg $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/man/man1 $(DESTDIR)/usr/share/man/man5 $(DESTDIR)/usr/lib/perl5
+	$(INSTALL) -m755 -o root -g root -d $(DESTDIR)/etc/dpkg $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/man/man1 $(DESTDIR)/usr/share/man/man5 $(DESTDIR)/usr/share/perl5 $(DESTDIR)/usr/share/dpkg-cross
 	$(INSTALL) -m644 -o root -g root cross-compile.example $(DESTDIR)/etc/dpkg/cross-compile
-	$(INSTALL) -m644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/dpkg
-	$(INSTALL) -m755 -o root -g root $(SCRIPTS) $(DESTDIR)/usr/bin
-	$(INSTALL) -m644 -o root -g root  $(MAN1) $(DESTDIR)/usr/share/man/man1
-	$(INSTALL) -m644 -o root -g root $(MAN5) $(DESTDIR)/usr/share/man/man5
-	$(INSTALL) -m544 -o root -g root dpkg-cross.pl $(DESTDIR)/usr/lib/perl5
+	$(INSTALL) -m644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/dpkg/
+	$(INSTALL) -m755 -o root -g root $(SCRIPTS) $(DESTDIR)/usr/bin/
+	$(INSTALL) -m755 -o root -g root $(SHARESCRIPTS) $(DESTDIR)/usr/share/dpkg-cross/
+	$(INSTALL) -m644 -o root -g root  $(MAN1) $(DESTDIR)/usr/share/man/man1/
+	$(INSTALL) -m644 -o root -g root $(MAN5) $(DESTDIR)/usr/share/man/man5/
+	$(INSTALL) -m644 -o root -g root dpkg-cross.pl $(DESTDIR)/usr/share/perl5/
 
 clean:
 	rm -f $(MAN1) $(MAN5)

=== debian/changelog ===
dpkg-cross (1.20) unstable; urgency=low

  By Nikita V. Youshchenko <yoush@cs.msu.su>:

  * Moved Build-Depends into Build-Depends-Indep, abd cleaned up
    debian/rules a bit.
  * Move dpkg-cross.pl to /usr/share/perl5, and don't install it executable.
  * Mention /usr/share/common-licenses/GPL in debian/copyright.
  * Add lintian override file to stop lintian complains about no manual
    pages for commands that dpkg-cross package diverts.
  * Changed Standards-Version to 3.6.1 (after doing appropriate checks). 

  By Raphael Bossek <bossekr@debian.org>:

  * Typo in detection of recursive gccross calls fixed.
  * Gccross documentation updated.

  By Nikita V. Youshchenko <yoush@cs.msu.su>:

  * When setting up temporary directory with gccross symlinks, link all
    names that look like available compilers for target.

  By Nikita V. Youshchenko <yoush@cs.msu.su>:

  * Changed default crossbase to /usr. In fact, such default has been
    there in default /etc/dpkg/cross-compile for ages, but if that line
    was not used (e.g. because of use of user configuration file),
    crossbase happened to change to /usr/local. That is not consistent
    with cross-toolchain, so should be fixed.

 -- David Schleef <ds@schleef.org>  Fri, 05 Nov 2004 16:08:53 -0800

dpkg-cross (1.19) unstable; urgency=low

  Changes by Nikita Youshchenko <yoush@cs.msu.su>

  * An improved version of gccross is now used by default when
    cross-compiling debian packages.
  * Fixed cross-tool autodetection for m68k and s390x architecturs.

 -- David Schleef <ds@schleef.org>  Wed, 06 Oct 2004 14:05:32 -0700

dpkg-cross (1.18) unstable; urgency=low

  Changes by Nikita Youshchenko <yoush@cs.msu.su>

  * Added strip wrapper that tries to detect architectures of given
    binaries and call appropriate strip programs.
    Modified dpkg-buildpackage wrapper to add strip wrapper to PATH.
    Removed dh_strip wrapper and diversion of dh_strip (Closes: #265620).
  * Stop adding /usr/local/bin to path - user who needs it probably
    already has it.
  * Removed ancient dpkg-cross-convert - it is already 5 years old,
    and is probably not compatable with current dpkg-cross.
  * Note at the top of README.Debian that information there is outdated.
  * Fix a typo in dpkg-cross script that caused '-aarm' not work.
  * Depend on 'binutils' and on 'file' because scripts use programs provided
    by those packages.

  Changes by Raphael Bossek <bossekr@debian.org>

  * Added gccross as wrapper for cross-compilers.
  * Fixed proceeding of /usr/(src|lib) directories with dpkg-cross.

 -- David Schleef <ds@schleef.org>  Tue, 24 Aug 2004 18:35:30 -0700

dpkg-cross (1.17) unstable; urgency=low

  Changes done by Nikita Youshchenko <yoush@cs.msu.su>
  
  * Divert dh_strip with a version that tries to use strip binary appropriate
    for cross-compiling. This in fact was in 1.16, but I forgot to add this to
    changelog.
  * Removed missed debugging code that caused dpkg-cross to print "FAIL" and
    exit if target-cpp is available. Closes: #259516.
  * Fixed a typo in dpkg-cross.pl that caused variable values to be lost.
  * Implemented support for lib64. Closes: #245835.

 -- David Schleef <ds@schleef.org>  Thu, 15 Jul 2004 01:37:41 -0700

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: extra
 Maintainer: David Schleef <ds@schleef.org>
-Build-Depends: debhelper (>> 4), docbook-to-man
-Standards-Version: 3.5.6
+Build-Depends-Indep: debhelper (>> 4), docbook-to-man
+Standards-Version: 3.6.1
 
 Package: dpkg-cross
 Architecture: all
-Depends: dpkg-dev (>= 1.9.21)
+Depends: dpkg-dev (>= 1.9.21), binutils, file
 Suggests: binutils-multiarch, fakeroot
 Conflicts: pkg-config (<< 0.15.0)
 Description: Tools for cross compiling Debian packages

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dpkg-cross
	mkdir -p $(CURDIR)/debian/dpkg-cross/usr/share/lintian/overrides
	install -o root -g root -m 0644 debian/lintian \
		debian/dpkg-cross/usr/share/lintian/overrides/dpkg-cross

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean


binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch

.PHONY: build install clean binary-indep binary-arch binary

## dpkg-cross 1.24

=== Makefile ===
--- 
+++ 
@@ -16,10 +16,10 @@
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
-#  $Id: Makefile,v 1.11 2004/10/29 20:41:55 yoush-guest Exp $
+#  $Id: Makefile,v 1.13 2005/02/23 15:03:05 yoush-guest Exp $
 
-SCRIPTS = dpkg-cross dpkg-buildpackage dpkg-shlibdeps gccross
-SHARESCRIPTS = strip
+SCRIPTS = dpkg-cross dpkg-buildpackage dpkg-shlibdeps
+SHARESCRIPTS = gccross strip
 CONFFILES = $(shell ls -1 cross-config.*) crosstools
 MAN1 = dpkg-cross.1 gccross.1
 MAN5 = cross-compile.5
@@ -32,9 +32,9 @@
 	docbook-to-man $^ > $@
 
 install:
-	$(INSTALL) -m755 -o root -g root -d $(DESTDIR)/etc/dpkg $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/man/man1 $(DESTDIR)/usr/share/man/man5 $(DESTDIR)/usr/share/perl5 $(DESTDIR)/usr/share/dpkg-cross
-	$(INSTALL) -m644 -o root -g root cross-compile.example $(DESTDIR)/etc/dpkg/cross-compile
-	$(INSTALL) -m644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/dpkg/
+	$(INSTALL) -m755 -o root -g root -d $(DESTDIR)/etc/dpkg-cross $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/man/man1 $(DESTDIR)/usr/share/man/man5 $(DESTDIR)/usr/share/perl5 $(DESTDIR)/usr/share/dpkg-cross
+	$(INSTALL) -m644 -o root -g root cross-compile.example $(DESTDIR)/etc/dpkg-cross/cross-compile
+	$(INSTALL) -m644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/dpkg-cross/
 	$(INSTALL) -m755 -o root -g root $(SCRIPTS) $(DESTDIR)/usr/bin/
 	$(INSTALL) -m755 -o root -g root $(SHARESCRIPTS) $(DESTDIR)/usr/share/dpkg-cross/
 	$(INSTALL) -m644 -o root -g root  $(MAN1) $(DESTDIR)/usr/share/man/man1/

=== debian/changelog ===
dpkg-cross (1.24) unstable; urgency=low

  * Use /etc/dpkg-cross and ~/.dpkg-cross instead of /etc/dpkg and ~/.dpkg.
  * On upgrade from older versions, move dpkg-cross files from /etc/dpkg/ to
    /etc/dpkg-cross/, on downgrade to older versions do the reverse.
  * Moved gccross from /usr/bin to /usr/share/dpkg-cross, because this script
    is not intended to be implicitly called by user.
  * Added NEWS.Debian, with a note about moving conffiles.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Wed, 23 Feb 2005 18:50:32 +0300

dpkg-cross (1.23) unstable; urgency=low

  * Don't sign changes file if dpkg-buildpackage.orig call failed.
    Closes: #294356.
  * Fixed package description started with capital letter. Thanks lintian.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Wed,  9 Feb 2005 23:40:36 +0300

dpkg-cross (1.22) unstable; urgency=low

  * Become official maintainer, try 2.
  * Create temporary directories in a safe way.
  * Removed workarounds of ancient dpkg-buildpackage[.orig] bugs (versioned
    dependency on dpkg-dev should ensure recent version of
    dpkg-buildpackage.orig).
  * Always pass -uc to dpkg-buildpackage.orig, and call sign command from
    dpkg-buildpackage wrapper after possible merge of .changes files.
    Closes: #257627.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Tue, 11 Jan 2005 00:25:45 +0300

dpkg-cross (1.21) unstable; urgency=low

  * Become official maintainer.
  * Add support for DPKGCROSSARCH variable to pass information about
    current target between tools (using ARCH causes problems with packages
    that use it for their own).
  * Changelogs of my 'intermediate releases':

    1.20.6:

    * Add -uc to dpkg-buildpackage.orig call only if existing .changes file
      does not contain information for $arch.

    1.20.5:

    * Instead of unsetting LD_LIBRARY_PATH, just clean it of paths that don't
      start with /usr/lib or /usr/share. This should avoid fakeroot breakage.

    1.20.4:

    * Implemented 'unset' feature for configuration file (Closes: #246061).
    * Unset LD for e2fsprogs in default /etc/dpkg/cross-compile.

    1.20.3:

    * When running external tools which output is parsed, set LC_ALL=C.
      Closes: #283804.
    * Remove usused sub getsoname from dpkg-shlibdeps.

    1.20.2:

    * Unset LD_LIBRARY_PATH in strip and dpkg-shlibdeps.
      It is not needed, and could result into attempts to link non-native
      libraries into tools that are called.
    * In tool detection code, use 'file -L' to dereference symlinks.
    * Handle strip options with parameters in strip wrapper.
    * Don't try to call objdump on non-binaries in dpkg-shlibdeps.
    * Don't set STRIP variable to $(TARGET)-strip, we have strip wrapper now.
    * Remove example setting STRIP in default /etc/dpkg/cross-compile,
      because the example is no longer valid with strip wrapper.
    * Above items fix all 282020 issues. Closes: #282020.
    * Don't set cross names for 'ar' and 'ranlib' because these tools are
      actially architecture-independent, and additional vars break some builds.
      Closes: #283627.

    1.20.1:

    * Applied patch from NIIBE Yutaka <gniibe@fsij.org> that adds support
      for m32r architecture (Closes: 280714).
    * Call dpkg-buildpackage.orig with -uc if .changes file merge is going to
      happen after package build (Closes: 257627).

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Thu,  6 Jan 2005 14:18:20 +0300

=== debian/control ===
Source: dpkg-cross
Section: utils
Priority: extra
Maintainer: Nikita V. Youshchenko <yoush@cs.msu.su>
Build-Depends-Indep: debhelper (>> 4), docbook-to-man
Standards-Version: 3.6.1

Package: dpkg-cross
Architecture: all
Depends: dpkg-dev (>= 1.9.21), binutils, file
Suggests: binutils-multiarch, fakeroot
Conflicts: pkg-config (<< 0.15.0)
Description: tools for cross compiling Debian packages
 dpkg-cross itself is a tool for installing libraries and headers for
 cross compiling in a way similar to dpkg. Furthermore, the
 functionality of dpkg-buildpackage and dpkg-shlibdeps is enhanced to
 support cross compiling.

## dpkg-cross 1.25

=== debian/changelog ===
dpkg-cross (1.25) unstable; urgency=low

  * Create md5sums files for -arch-cross packages.
  * Added /etc/dpkg-cross/cross-compile lines for glibc package as suggested
    by Jorik Jonker <jorik@dnd.utwente.nl>.
  * Included patch for cross-config.m32r from #284439.
  * Set umask earlier when converting packages; this may fix problem (that
    I could not reliably reproduse) with bad permissions of directories
    in converted packages if umask is restrictive.
  * Added patch from Alexandra N. Kossovsky <sasha@oktetlabs.ru> that adds
    amd64 as supported target (Closes: #308945).

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Thu,  5 May 2005 23:33:41 +0400

## dpkg-cross 1.26

=== debian/changelog ===
dpkg-cross (1.26) unstable; urgency=low

  * Update default paths and prefixes, to match changes in debian
    toolchain. Mostly by adding '-gnu' here and there.
  * Now dpkg-cross adds additional provides-depends logic to generated
    -$arch-cross packages, to avoid -$arch-cross packages generated
    prior to path changes to satisfy deps of packages generated post
    those changes.
  * Updated list of dpkg-architecture variables to set when
    cross-compiling, to match current dpkg-architecture.
  * dpkg-shlibdeps: addded "elf64-x86-64" and "elf64-powerpc" to
    @crosslib64formats, as GOTO Masanori <gotom@debian.or.jp> requested.
  * Added objdump and objcopy wrappers similar to strip wrapper. Seem to
    be needed by dh_strip calls from gcc-4.0 package builds.
  * Added armeb architecture support (Closes: #336080).
  * Fixed a typo in dpkg-buildpackage (Closes: #334282).
  * Added gcc-*-base to keepdeps in default /etc/dpkg-cross/cross-compile.
  * Removed any reference to unused 'crossinfo' variable.
  * Added cross-config.{arm,armeb}, created by  Lennert Buytenhek
    <buytenh+debian@wantstofly.org>.
  * If dpkg-deb -b fails, show it's output even if not verbose.
  * When merging .changes files, remove 'source' from arch field of the
    merged file name. See #322926 for details.
  * Set Maintainer to my debian.org e-mail.
  * Bumped Standards-Version to 3.6.2, no changes needed.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sat,  3 Dec 2005 23:39:29 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: dpkg-cross
 Section: utils
 Priority: extra
-Maintainer: Nikita V. Youshchenko <yoush@cs.msu.su>
+Maintainer: Nikita V. Youshchenko <yoush@debian.org>
 Build-Depends-Indep: debhelper (>> 4), docbook-to-man
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: dpkg-cross
 Architecture: all
-Depends: dpkg-dev (>= 1.9.21), binutils, file
+Depends: dpkg-dev (>= 1.13.9), binutils, file
 Suggests: binutils-multiarch, fakeroot
 Conflicts: pkg-config (<< 0.15.0)
 Description: tools for cross compiling Debian packages

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs
+	dh_installdocs debian/NEWS.Debian
 	dh_installman
 	dh_installchangelogs 
 	dh_compress

## dpkg-cross 1.28

=== debian/changelog ===
dpkg-cross (1.28) unstable; urgency=low

  * Added tzdata to default 'removedeps' (request from NIIBE Yutaka
    <gniibe@fsij.org>); also added gcc-4.1-base to default 'keepdeps'.
  * Set maintainer to Debian Embedded Group <debian-embedded@lists.debian.org>,
    set interested people as uploaders.
  * Set Standards-Version to 3.7.2, no changes needed.
  * Rased DH_COMPAT to 5, rased version in versioned build dependency
    on dephelper to 5.
  * Added debhelper also to Build-Depends:, not only Build-Depends-Indep, to
    fix lintian error.

 -- Nikita V. Youshchenko <yoush@debian.org>  Thu, 18 May 2006 06:57:55 +0400

dpkg-cross (1.27) unstable; urgency=low

  * Fixes from Volker Grabsch <vog@notjusthosting.com>:
    - fixed a typo in variable setting
    - added nm, ar, ranlib, windres to %std_tools,
    - added w32 lines to get_tool tables.

 -- Nikita V. Youshchenko <yoush@debian.org>  Tue, 18 Apr 2006 10:54:37 +0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,16 @@
 Source: dpkg-cross
 Section: utils
 Priority: extra
-Maintainer: Nikita V. Youshchenko <yoush@debian.org>
-Build-Depends-Indep: debhelper (>> 4), docbook-to-man
-Standards-Version: 3.6.2
+Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
+Uploaders:
+ Wartan Hachaturow <wart@debian.org>,
+ Alexander Shishckin <alexander.shishckin@gmail.com>,
+ Nikita V. Youshchenko <yoush@debian.org>,
+ Raphael Bossek <bossekr@debian.org>,
+ NIIBE Yutaka <gniibe@fsij.org>
+Build-Depends-Indep: debhelper (>> 5), docbook-to-man
+Build-Depends: debhelper (>> 5)
+Standards-Version: 3.7.2
 
 Package: dpkg-cross
 Architecture: all

## dpkg-cross 1.32

=== Makefile ===
--- 
+++ 
@@ -16,10 +16,10 @@
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
-#  $Id: Makefile,v 1.13 2005/02/23 15:03:05 yoush-guest Exp $
+#  $Id: Makefile,v 1.15 2005/12/01 09:40:49 yoush-guest Exp $
 
 SCRIPTS = dpkg-cross dpkg-buildpackage dpkg-shlibdeps
-SHARESCRIPTS = gccross strip
+SHARESCRIPTS = gccross strip objdump objcopy
 CONFFILES = $(shell ls -1 cross-config.*) crosstools
 MAN1 = dpkg-cross.1 gccross.1
 MAN5 = cross-compile.5

=== debian/changelog ===
dpkg-cross (1.32) unstable; urgency=low

  * Detect powerpc 64-bit binaries and select proper tools for those. 

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 15 Oct 2006 15:16:28 +0400

dpkg-cross (1.31) unstable; urgency=low

  * Don't discard .so symlinks from library development packages.
    Fix by Alexander Shishkin <alexander.shishckin@gmail.com>.
    Closes: #388627.

 -- Nikita V. Youshchenko <yoush@debian.org>  Fri, 22 Sep 2006 11:09:36 +0400

dpkg-cross (1.30) unstable; urgency=low

  * When converting packages, don't discard external symlinks if those
    point to objects under /usr/src/. Needed for linux-headers packages.
    Closes: #379004.
  * When converting packages, don't discard files under /usr/src, but move
    those to $crossdir/src/. Needed for linux-headers packages.
    Suggested by Marcus Better <marcus@better.se>.
  * Added -nw option to dpkg-buildpackage wrapper, that disables usage 
    of gccross. Closes: #373193. See log of that bug for details.

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon, 24 Jul 2006 17:08:49 +0400

dpkg-cross (1.29) unstable; urgency=low

  * Make usage of gccross wrapper more verbose (Closes: #374778).
  * Fixed a bug in converting package with non-empty Pre-Depends: field
    (Closes: #378930, #378931).
  * Safer way of dealing with temporary directories. 

 -- Nikita V. Youshchenko <yoush@debian.org>  Thu, 20 Jul 2006 10:50:01 +0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
 Uploaders:
  Wartan Hachaturow <wart@debian.org>,
- Alexander Shishckin <alexander.shishckin@gmail.com>,
+ Alexander Shishkin <virtuoso@slind.org>,
  Nikita V. Youshchenko <yoush@debian.org>,
  Raphael Bossek <bossekr@debian.org>,
  NIIBE Yutaka <gniibe@fsij.org>

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+export DH_COMPAT=5
 
 build: build-stamp
 build-stamp:
